Description: fix a compile error with modern Perl.
Author: Frédéric Boiteux <fboiteux@free.fr>
Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879961
Forwarded: https://sourceforge.net/p/disc-cover/discussion/453982/thread/feddef9bf5/
Last-Update: 2020-10-17

--- disc-cover-1.5.6.orig/disc-cover
+++ disc-cover-1.5.6/disc-cover
@@ -743,7 +743,7 @@ sub end_program
 {
 	my ($error) = defined($_[0]) ? $_[0] : undef ;
 	shift;
-	my (@solutions) = defined(@_) ? @_ : undef;
+	my (@solutions) = @_;
 
 	warn "Error: $error\n" if defined ($error);
 
